extends Node

var RhythmPlayer: AudioStreamPlayer
var ChordPlayer: AudioStreamPlayer
var NotePlayer: AudioStreamPlayer

func _ready():
	RhythmPlayer = get_node("/root/Control/RhythmPlayer")
	ChordPlayer = get_node("/root/Control/ChordPlayer")
	self.pressed.connect(button_pressed)

func button_pressed():
	if RhythmPlayer.playing:
		RhythmPlayer.stop()
	if ChordPlayer.playing:
		ChordPlayer.stop()
